async function Guardar(){
	let data = {'opcion':'inmueble_bases_imponibles'};
	let permiso =  await fetchData('user.permiso',data);
    if (permiso.estado=="ACTIVO"){
        parent.list.Save();
    }else{
        document.getElementById('permisoModal').style.display = 'inline';
    }
}
async function Autorizar(){
	let data = {'usuario':document.getElementById('usuario').value,'clave':document.getElementById('clave').value,'opcion':'inmueble_bases_imponibles'};
	let permiso =  await fetchData('user.autoriza',data);
    //console.log(permiso);
    if (permiso.estado=="ACTIVO"){
        parent.list.Save();
    }else{
       alert("AUTORIZACION INVALIDA");
    }
    document.getElementById('usuario').value="";
    document.getElementById('clave').value="";    
    document.getElementById('permisoModal').style.display = 'none';
}
function Cerrar(){
    document.getElementById('usuario').value="";
    document.getElementById('clave').value="";    
    document.getElementById('permisoModal').style.display = 'none';    
}
function fetchData(endPoint,data){
    return new Promise(resolve => {
		var r = new XMLHttpRequest();
		r.open("POST",'../pl/'+endPoint+".pl", true);
		r.setRequestHeader("Content-Type", "application/json");
		r.send(JSON.stringify(data));	
		r.onreadystatechange = function () {
			if (r.readyState != 4 || r.status != 200) return;
			//console.log(endPoint);			
			//console.log(r.responseText);
			resolve(JSON.parse(r.responseText));
		};		
    }); 
}
var isIE = document.all?true:false;
var isNS = document.layers?true:false;
function onlyDigits(e,decReq) {
	var key = (isIE) ? window.event.keyCode : e.which;
	var obj = (isIE) ? event.srcElement : e.target;
	var isNum = (key > 47 && key < 58) ? true:false;
	var dotOK = (key==46 && decReq=='decOK' && (obj.value.indexOf(".")<0 || obj.value.length==0)) ? true:false;
	window.event.keyCode = (!isNum && !dotOK && isIE) ? 0:key;
	e.which = (!isNum && !dotOK && isNS) ? 0:key;
	return (isNum || dotOK);
}